Subject: Re: Things you can do with Cygwin
From: "Kendall Bennett" <[email-masked]>
To: [email-masked]
Date: Tue, 2 May 2000 13:42:32 -0800

DJ Delorie <[email-masked]> wrote:

> > Then again if you wanted to be more legal, stick the Cygwin stuff 
> > into a server program and talk to it only via RPC or sockets instead 
> > of direct dynamic linking.
> 
> The GPL doesn't talk about programs, it talks about "works".  It
> doesn't matter how the two parts communicate.  The legal
> definition of "works", I've been told, is pretty clear, so it would
> be easy for the court to decide if your tricks were a violation or
> not, if it ever came down to that. 

If that were the case, then a GPL'ed X-server would simply not be suitable 
for running anything but GPL code. Cygwin/XFree is one such server.

> > violate the GPL, but then if that was the case you would never be 
> > able to run proprietry programs under Linux because GNOME is GPL as 
> > is the Linux kernel.
> 
> The linux kernel (or libc, I forget which) has an exception in its
> copyright that specifically allows this.  It's not a side-effect
> of the GPL. 

No, there is no legal exception clause for this in the Linux kernel as far 
as I can tell. The only thing related to this would be the small note at 
the top of the COPYING file in the Linux kernel sources:

"NOTE! This copyright does *not* cover user programs that use kernel 
services by normal system calls - this is merely considered normal use of 
the kernel, and does *not* fall under the heading of "derived work". Also 
note that the GPL below is copyrighted by the Free Software Foundation, but 
the instance of code that it refers to (the linux kernel) is copyrighted by 
me and others who actually wrote it. 

                     Linus Torvalds"

Somehow I don't see how this can be considered a legal exception at all, 
but then again I am not a lawyer.

As for libc, it is LGPL.

Regards,

+---------------------------------------------------------------+
|   SciTech Software - Building Truly Plug'n'Play Software!     |
+---------------------------------------------------------------+
| Kendall Bennett          | Email: [email-masked]    |
| Director of Engineering  | Phone: (530) 894 8400              |
| SciTech Software, Inc.   | Fax  : (530) 894 9069              |
| 505 Wall Street          | ftp  : ftp.scitechsoft.com         |
| Chico, CA 95928, USA     | www  : http://www.scitechsoft.com  |
+---------------------------------------------------------------+

--
Want to unsubscribe from this list?
Send a message to [email-masked]